package org.springblade.system.service;

/**
 *  oa同步接口
 * @author bfhuange
 * @date 2024/8/23
 */
public interface IOASyncService {

    /**
     * 从oa同步公司和部门并且推送到mk
     * @param syncAll 是否同步所有
     */
    void syncCompanyAndDeptAndPushMK(boolean syncAll);

    /**
     * 从oa同步人员并且推送到mk
     * @param syncAll 是否同步所有
     */
    void syncPersonAndPushMK(boolean syncAll);
}
